import java.awt.*;
import java.applet.*;
import TH;


class GridFrame extends Frame 
{
	private GridBagLayout gridbag;
    protected GridBagConstraints c ;
	public GridFrame(String s) {
		super(s);
        gridbag = new GridBagLayout(); 
        c = new GridBagConstraints(); 
        c.insets = new Insets(5,2,5,2);
//	c.fill= GridBagConstraints.BOTH;
        setLayout(gridbag); 
	}
    protected void makeComponent(Component comp) { 
        gridbag.setConstraints(comp, c); 
        add(comp); 
    } 
}

class UrlDialog extends GridFrame
{
  private TH applet;
  private TextField url;
  private String type;
  public UrlDialog(String s, TH p) { 
      super("");
    if (s.equals("FACE")) setTitle( "New face");
    else setTitle("Invitation");
    applet=p;
    type=s;
    c.gridwidth = GridBagConstraints.REMAINDER; 
    c.anchor = GridBagConstraints.WEST; 
    if (s.equals("FACE"))
        makeComponent( new Label("Enter URL with your face: "));
    url = new TextField("default",50);
    makeComponent( url);
    
    c.insets = new Insets(10,10,10,30);
    c.weightx=1.0;
    c.gridwidth = GridBagConstraints.RELATIVE;
    c.anchor = GridBagConstraints.CENTER;
    makeComponent( new Button(" Ok "));
    makeComponent( new Button("Cancel"));
    pack();
    show();
    //		resize(500,150);
    url.requestFocus();
  }

  public boolean action(Event ev, Object obj){                      
    if (obj.equals("Cancel")) {
      hide();
      dispose();
      return true;
    }
    if( ev.id == 1001) {
      try {
	if (type.equals("FACE"))
		//applet.NewFace( url.getText());
	  	applet.NewFace( null);
	}
      catch( Exception e) {
	return false;
      }
      hide();
      dispose();
      return true;
    }
    return false;
  }
}
